/**
 *
 * Copyright 2003-2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.apache.geronimo.management;

/**
 * Represents the JSR-77 type with the same name
 *
 * @version $Rev: 398480 $ $Date: 2006-04-30 20:52:23 -0400 (Sun, 30 Apr 2006) $
 */
public interface EJBModule extends J2EEModule {
    /**
     * A list of EJBs included in this EJB JAR
     * @see "JSR77.3.9.1.1"
     * @return the ObjectNames of the EJBs in this EJB JAR
     */
    String[] getEjbs();
}